<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Form;

use DropshippingExportFreeVendor\WPDesk\Forms\Form\FormWithFields;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Infrastructure\Form\Abstraction\FormIdentity;
class ExportMapperForm extends FormWithFields implements FormIdentity
{
    const ID = 'product_mapper';
    public function __construct(Fields\ExportMapperFormFields $fields)
    {
        parent::__construct($fields->get_fields(), self::ID);
    }
    public static function get_id(): string
    {
        return self::ID;
    }
}
